#!/bin/sh

# Check if MIG ID is provided
if [ -z "$1" ]; then
  echo "Usage: $0 <MIG_UUID>"
  exit 1
fi

MIG_UUID="$1"

NAME=jupyterlab-test-mig

docker image build --network host -t $NAME .
docker run --rm -it --network host \
  --gpus "\"device=$MIG_UUID\"" \
  -e NVIDIA_VISIBLE_DEVICES="$MIG_UUID" \
  $NAME
